package kr.co.vividnext.sodalive.live.reservation_status

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class GetLiveReservationResponse(
    @SerializedName("reservationId") val reservationId: Long,
    @SerializedName("roomId") val roomId: Long,
    @SerializedName("title") val title: String,
    @SerializedName("coverImageUrl") val coverImageUrl: String,
    @SerializedName("price") val price: Int,
    @SerializedName("masterNickname") val masterNickname: String,
    @SerializedName("beginDateTime") val beginDateTime: String,
    @SerializedName("cancelable") val cancelable: Boolean,
) : Parcelable
